Bug 242100 - looking for documentation about hw.acpi.acline and hw.acpi.battery
Summary: looking for documentation about hw.acpi.acline and hw.acpi.battery
Status: Closed FIXED
Alias: None
Product: Documentation
Classification: Unclassified
Component: Documentation (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Some People
Assignee: Takanori Watanabe
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-11-20 08:54 UTC by massimo.sala.71
Modified: 2019-12-10 02:22 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description massimo.sala.71 2019-11-20 08:54:41 UTC
Sorry to bother you readers, I am new to the freebsd ecosystem.
I google a lot but cannot find any official documentation about hw.acpi.acline and hw.acpi.battery, parameters and values.

Please point me to the docs or to the source code where these sysctl are created.

Moreover: I am writing a small utility, commandline, to check for the battery status.
Where can I ask for volunteers testers?

Best regards, Massimo
Comment 1 Takanori Watanabe freebsd_committer 2019-11-25 03:15:40 UTC
(In reply to massimo.sala.71 from comment #0)
'hw.acpi.acline' description is in acpi(4) manual.
The battery related things are lack of documentation.
Comment 2 Takanori Watanabe freebsd_committer 2019-11-25 03:42:31 UTC
Some brief description of sysctl can be seen by sysctl -d ${SYSCTLVAL}.
Comment 3 Takanori Watanabe freebsd_committer 2019-11-26 08:45:12 UTC
I wrote a man page for battery.

https://reviews.freebsd.org/D22556
Comment 4 Takanori Watanabe freebsd_committer 2019-12-10 02:22:05 UTC
acpi_battery.4 was committed.